commit 0b76bf46f2b40dca3b93ebca59449a749d52e675
Author: Iain Buclaw <ibuclaw@gdcproject.org>
Date:   Thu Nov 18 22:43:40 2021

    d: Use HOST_WIDE_INT for type size temporaries.
    
    These variables are later used as the value for the format specifier
    `%wd`, which the expected type may not match dinteger_t, causing
    unnecessary -Wformat warnings.
    
    gcc/d/ChangeLog:
    
            * decl.cc (d_finish_decl): Use HOST_WIDE_INT for type size
            temporaries.
    
    (cherry picked from commit d6ec661e3931773e2f571ed4f6dd8b0402d8687d)

diff --git a/gcc/d/decl.cc b/gcc/d/decl.cc
index 7d1378255bd..02e6b4cfdf8 100644
--- a/gcc/d/decl.cc
+++ b/gcc/d/decl.cc
@@ -1544,8 +1544,9 @@ d_finish_decl (tree decl)
   if (flag_checking && DECL_INITIAL (decl))
     {
       /* Initializer must never be bigger than symbol size.  */
-      dinteger_t tsize = int_size_in_bytes (TREE_TYPE (decl));
-      dinteger_t dtsize = int_size_in_bytes (TREE_TYPE (DECL_INITIAL (decl)));
+      HOST_WIDE_INT tsize = int_size_in_bytes (TREE_TYPE (decl));
+      HOST_WIDE_INT dtsize =
+	int_size_in_bytes (TREE_TYPE (DECL_INITIAL (decl)));
 
       if (tsize < dtsize)
 	{

